VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Public Attributes | List of all members
StringDataPackage< AsFile > Struct Template Reference
Inheritance diagram for StringDataPackage< AsFile >:

## Public Member Functions
| StringDataPackage (std::string_view str)
uint32_t | getCount () const final
uint32_t | getDataSize (uint32_t index) const final
Type | getDataType (uint32_t index) const final
uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const final
virtual uint32_t | getCount () const =0
virtual uint32_t | getDataSize (uint32_t index) const =0
virtual Type | getDataType (uint32_t index) const =0
virtual uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const =0
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Public Attributes
std::string | str

## Additional Inherited Members
Public Types inherited from IDataPackage
enum | Type { kFilePath = 0 , kText , kBinary , kError = -1 }
Protected Member Functions inherited from IDataPackage
| IDataPackage ()

## Constructor & Destructor Documentation

## ◆ StringDataPackage()

StringDataPackage | ( | std::string_view | str | ) |
| inline

## Member Function Documentation

## ◆ getCount()

uint32_t getCount | ( |  | ) | const
| inline final virtual

Implements IDataPackage.

## ◆ getData()

uint32_t getData | ( | uint32_t | index,
|  | const void *& | buffer,
|  | Type & | type
| ) |  | const
| inline final virtual

Implements IDataPackage.

## ◆ getDataSize()

uint32_t getDataSize | ( | uint32_t | index | ) | const
| inline final virtual

Implements IDataPackage.

## ◆ getDataType()

Type getDataType | ( | uint32_t | index | ) | const
| inline final virtual

Implements IDataPackage.

## Member Data Documentation

## ◆ str

std::string str

The documentation for this struct was generated from the following file:

- cclipboard.cpp